Subject: Re: [CODE4LIB] multimedia carrier vocabulary?

From: Chris Beer <[email-masked]>
Date: Thu, 15 Jan 2009 09:17:53 -0500

Hi Jonathan,

As Esha said, PBCore might be worth looking at. It's probably one of the more complete 
lists. If you want something more formal than the PBCore list, the EBU also has a good  
vocabulary in an XML format 
(http://www.ebu.ch/metadata/cs/ebu_StorageMediaTypeCodeCS.xml). The nice thing 
about the EBU list is that some of their term definitions might help identify more obscure 
materials.

> Have you looked at PBCore? It's a metadata standard developed by the  
> Corporation for Public Broadcasting and is used for tv and other  
> multi media cataloging. 

>> Jonathan Rochkind wrote:
>>> Anyone know of any good existing controlled vocabulary for  
>>> 'format' or 'carrier' for multimedia materials?  I'm thinking of  
>>> things like "CD", "DVD", "digital", etc.
>>>
>>> The closest I can get is from RDA at http://metadataregistry.org/ 
>>> concept/list/vocabulary_id/46.html (thanks Karen and Diane), but  
>>> it seems _really_ insufficient. As far as I can tell "audio disc"  
>>> is used for both a CD and a vinyl disc, and there's nothing  
>>> available there for "DVD" at all.   Or for "digital". Although  
>>> I'm not sure what I mean by "digital", I guess CD and DVD are  
>>> both digital, but I was thinking of something to identify a  
>>> digital file on a computer network free of particular carrier. I  
>>> guess that wouldn't be in a carrier vocabulary at all, after all,  
>>> that would be sort of a null carrier. Phew, this stuff does get  
>>> complicated quick. Which I guess is why nobody's worked out a  
>>> good one yet.
>>>
>>> Too bad RDA's is so _far_ from good though. Any others anyone  
>>> knows about?
>>>
>>> Jonathan

Chris

---

From: Jonathan Rochkind <[email-masked]>
Date: Thu, 15 Jan 2009 10:17:04 -0500

Thanks, that's interesting too.

One of the most useful lists I've found is actually in ONIX, Code List 7.

http://www.editeur.org/codelists.html

Although Code List 7 actually needs to be supplemented by Code List 78 
if you want full detail. (Like whether a VHS tape is NTSC or PAL; or the 
fact that a printed book is in Braille (US or UK? Can specify either, 
hooray.)). 

The ONIX list is a pretty good and complete list of physical formats for 
published items, and appears to be free, and is available in XML as well. 

It does become an awfully LONG list.  And is still not entirely 
intellectually consistent---the article Diane pointed to in D-Lib is the 
result of trying to harmonize this with library practices in an 
intellectually consistent way, but it becomes something so abstract that 
it's kind of hard to deal with, and also leaves many vocabularies 
unspecified.  I think a more or less flat list with specified 
vocabulary, even if not entirely intellectually consistent, that 
corresponds to the universe of actually existing published items, is 
probably more useful.

Jonathan

-- 
Jonathan Rochkind
Digital Services Software Engineer
The Sheridan Libraries
Johns Hopkins University
410.516.8886 
rochkind (at) jhu.edu

---

From: Karen Coyle <[email-masked]>
Date: Thu, 15 Jan 2009 07:39:33 -0800

This discussion is  like the poster child for why we need to be able to 
create application profiles -- every list mentioned here has a point of 
view (MARC:library cataloging; AAT:holdings as objects; ONIX:product 
catalog). You should be able to cherry pick the terms you want and 
declare it YOUR list (or the OpenURL list). Of the lists, the ONIX list 
7 looks closest to what I think you are needing. Now, it would be great 
if the elements in ONIX list 7 were in the metadata registry and had 
URIs for the terms. That way, you could use the ones you want and 
everyone would know what you were using because it would be clearly 
identified.

kc

Jonathan Rochkind wrote:
> if you want full detail. (Like whether a VHS tape is NTSC or PAL; or 
> the fact that a printed book is in Braille (US or UK? Can specify 
> either, hooray.)).
> The ONIX list is a pretty good and complete list of physical formats 
> for published items, and appears to be free, and is available in XML 
> as well.
> intellectually consistent---the article Diane pointed to in D-Lib is 
> the result of trying to harmonize this with library practices in an 
> intellectually consistent way, but it becomes something so abstract 
> that it's kind of hard to deal with, and also leaves many vocabularies 
>> As Esha said, PBCore might be worth looking at. It's probably one of 
>> the more complete lists. If you want something more formal than the 
>> PBCore list, the EBU also has a good  vocabulary in an XML format 
>> (http://www.ebu.ch/metadata/cs/ebu_StorageMediaTypeCodeCS.xml). The 
>> nice thing about the EBU list is that some of their term definitions 
>> might help identify more obscure materials.
>>
>>  
>>> Have you looked at PBCore? It's a metadata standard developed by 
>>> the  Corporation for Public Broadcasting and is used for tv and 
>>> other  multi media cataloging.     
>>
>>  
>>>> Jonathan Rochkind wrote:
>>>>      

-- 
-----------------------------------
Karen Coyle / Digital Library Consultant
[email-masked] http://www.kcoyle.net
ph.: 510-540-7596   skype: kcoylenet
fx.: 510-848-3913
mo.: 510-435-8234
------------------------------------

---

From: "Diane I. Hillmann" <[email-masked]>
Date: Thu, 15 Jan 2009 10:47:48 -0500

Jonathan:

What strikes me about the code list you found is how difficult it is to 
use, as compared to what we're starting to do for RDA.  The methodology 
that ONIX uses to build and maintain their lists really pushes a lot of 
the onus over to the user to keep up with changes in their 
vocabularies.  Among other things, it presupposes a "system" into which 
the XML or CSV can be loaded. 

I have spoken briefly to some of their folks about using the Registry 
(or something like it) to maintain their vocabularies (or, at least, to 
assist others in using their vocabularies), but I'm not sure they quite 
get the notion of re-use outside their community (publishers) quite 
yet.  The work that has been done with the RDA/ONIX effort is a start, 
but obviously there's a way to go yet. 

Diane

---

From: Jonathan Rochkind <[email-masked]>
Date: Thu, 15 Jan 2009 10:59:46 -0500

True. Just the best I've found yet.  If something better exists, I 
haven't found it.

Jonathan

Diane I. Hillmann wrote:
> Jonathan:
>
> What strikes me about the code list you found is how difficult it is 
> to use, as compared to what we're starting to do for RDA.  The 
> methodology that ONIX uses to build and maintain their lists really 
> pushes a lot of the onus over to the user to keep up with changes in 
> their vocabularies.  Among other things, it presupposes a "system" 
> into which the XML or CSV can be loaded.
> (or something like it) to maintain their vocabularies (or, at least, 
> to assist others in using their vocabularies), but I'm not sure they 
> quite get the notion of re-use outside their community (publishers) 
> quite yet.  The work that has been done with the RDA/ONIX effort is a 
> start, but obviously there's a way to go yet.
> Diane
>
> Jonathan Rochkind wrote:
>> Although Code List 7 actually needs to be supplemented by Code List 
>> 78 if you want full detail. (Like whether a VHS tape is NTSC or PAL; 
>> or the fact that a printed book is in Braille (US or UK? Can specify 
>> either, hooray.)).
>> that it's kind of hard to deal with, and also leaves many 
>> vocabularies unspecified.  I think a more or less flat list with 
>> specified vocabulary, even if not entirely intellectually consistent, 
>> that corresponds to the universe of actually existing published 
>> items, is probably more useful.
>>
>> Jonathan
>>
>> Chris Beer wrote:
>>> Hi Jonathan,
>>>
>>>>>> it seems _really_ insufficient. As far as I can tell "audio 
>>>>>> disc"  is used for both a CD and a vinyl disc, and there's 
>>>>>> nothing  available there for "DVD" at all.   Or for "digital". 
>>>>>> Although  I'm not sure what I mean by "digital", I guess CD and 
>>>>>> DVD are  both digital, but I was thinking of something to 
>>>>>> identify a  digital file on a computer network free of particular 
>>>>>> carrier. I  guess that wouldn't be in a carrier vocabulary at 
>>>>>> all, after all,  that would be sort of a null carrier. Phew, this 
>>>>>> stuff does get  complicated quick. Which I guess is why nobody's 
>>>>>> worked out a  good one yet.
>>>>>>

---

From: [email-masked]
Date: Mon, 26 Jan 2009 17:49:47 -0500

Hi Jonathan,

Karen is absolutely right about the need for application profiles, but in
this case the Metadata Registry is intended to also help with creating and
maintaining recombinant value vocabs -- you should minimally be able to
create a vocabulary that meets your needs, assign URIs, and map it[1] to
other vocabularies without creating an AP. The rub being, as Karen points
out, that the other vocabularies need to have URIs for this to work, and
it's handy if they're maintained in the registry too.

Since we generate both a skos representation and a simple XML schema,
consumers of the vocabulary you create don't necessarily need to be working
in systems that support linked data either.

I know this doesn't really help you find an existing vocabulary that
precisely meets your requirements, but it might help you define one at some
point. If it doesn't, I'd be very interested in discussing that further.

Regards,
Jon Phipps
...who is ususally more successful at resisting the opportunity to promote
the registry.

[1] http://www.w3.org/TR/skos-primer/#secmapping

On Thu, Jan 15, 2009 at 10:39 AM, Karen Coyle <[email-masked]> wrote:

> create application profiles -- every list mentioned here has a point of view
> (MARC:library cataloging; AAT:holdings as objects; ONIX:product catalog).
> You should be able to cherry pick the terms you want and declare it YOUR
> list (or the OpenURL list). Of the lists, the ONIX list 7 looks closest to
> what I think you are needing. Now, it would be great if the elements in ONIX
> list 7 were in the metadata registry and had URIs for the terms. That way,
> you could use the ones you want and everyone would know what you were using
> because it would be clearly identified.
>
> kc
>
>
> Jonathan Rochkind wrote:
>
>> Although Code List 7 actually needs to be supplemented by Code List 78 if
>> you want full detail. (Like whether a VHS tape is NTSC or PAL; or the fact
>> that a printed book is in Braille (US or UK? Can specify either, hooray.)).
>> unspecified.  I think a more or less flat list with specified vocabulary,
>> even if not entirely intellectually consistent, that corresponds to the
>> universe of actually existing published items, is probably more useful.
>>
>> Jonathan
>>
>> Chris Beer wrote:
>>
>>> Hi Jonathan,
>>>
>>> As Esha said, PBCore might be worth looking at. It's probably one of the
>>> more complete lists. If you want something more formal than the PBCore list,
>>> the EBU also has a good  vocabulary in an XML format (
>>> http://www.ebu.ch/metadata/cs/ebu_StorageMediaTypeCodeCS.xml). The nice
>>> thing about the EBU list is that some of their term definitions might help
>>> identify more obscure materials.
>>>
>>>
>>>
>>>>  Corporation for Public Broadcasting and is used for tv and other  multi
>>>> media cataloging.
>>>>
>>>
>>>
>>>
>>>> Jonathan Rochkind wrote:
>>>>>
>>>>>
>>>>>> Anyone know of any good existing controlled vocabulary for  'format'
>>>>>> or 'carrier' for multimedia materials?  I'm thinking of  things like "CD",
>>>>>> "DVD", "digital", etc.
>>>>>>
>>>>>> The closest I can get is from RDA at http://metadataregistry.org/concept/list/vocabulary_id/46.html (thanks Karen and Diane), but  it seems
>>>>>> _really_ insufficient. As far as I can tell "audio disc"  is used for both a
>>>>>> CD and a vinyl disc, and there's nothing  available there for "DVD" at all.
>>>>>>   Or for "digital". Although  I'm not sure what I mean by "digital", I guess
>>>>>> CD and DVD are  both digital, but I was thinking of something to identify a
>>>>>>  digital file on a computer network free of particular carrier. I  guess
>>>>>> that wouldn't be in a carrier vocabulary at all, after all,  that would be
>>>>>> sort of a null carrier. Phew, this stuff does get  complicated quick. Which
>>>>>> I guess is why nobody's worked out a  good one yet.
>>>>>>
>>>>>> Too bad RDA's is so _far_ from good though. Any others anyone  knows
>>>>>> about?
>>>>>>
>>>>>> Jonathan
>>>>>>
>>>>>>
>>>>>
>>> Chris
>>>
>>>
>>>
>>
>>
>
> --